LI1 = 6371.0;
//
UM11 = 6251.0;
CORE = 3480.0;

Lh  = 2000.0;
r0 = 50.0;
r1 = 100.0;
r2 = 200.0;
resmid = 50.0;
rescent = 10.0;
resout = 300.0;//2500.0;5000.0;

//vertlayer = 5.0;//15.0;10.0;

Point(1) = {  0,  0, LI1, rescent};
Point(2) = {  r0,  0, LI1, rescent};
Point(3) = {  r1, 0, LI1, resmid};
Point(4) = {  r2, 0, LI1, resmid};
Point(5) = {  0, Lh, LI1, resout};
Point(6) = {  0, -Lh, LI1, resout};
Point(7) = {-Lh,  0, LI1, resout};
Point(8) = { Lh,  0, LI1, resout};
Point(9) = {-Lh,-Lh, LI1, resout};
Point(10) = {-Lh, Lh, LI1, resout};
Point(11) = { Lh, Lh, LI1, resout};
Point(12) = { Lh,-Lh, LI1, resout};
Point(13) = {-Lh,-Lh, CORE, resout};
Point(14) = {-Lh, Lh, CORE, resout};
Point(15) = { Lh, Lh, CORE, resout};
Point(16) = { Lh,-Lh, CORE, resout};


Line(1)={1,2};
Line(2)={2,3};
Line(3)={3,4};
Line(4)={1,5};

//+
Line(5) = {4, 8};
//+
Line(6) = {8, 11};
//+
Line(7) = {11, 5};
//+
Line(8) = {5, 10};
//+
Line(9) = {10, 7};
//+
Line(10) = {7, 1};
//+
Line(11) = {7, 9};
//+
Line(12) = {9, 6};
//+
Line(13) = {6, 12};
//+
Line(14) = {12, 8};
//+
Line(15) = {1, 6};
//+
Line Loop(1) = {10, 4, 8, 9};
//+
Plane Surface(1) = {1};
//+
Line Loop(2) = {1, 2, 3, 5, 6, 7, -4};
//+
Plane Surface(2) = {2};
//+
Line Loop(3) = {15, 13, 14, -5, -3, -2, -1};
//+
Plane Surface(3) = {3};
//+
Line Loop(4) = {15, -12, -11, 10};
//+
Plane Surface(4) = {4};
//+
Recombine Surface {3, 2, 1, 4};
//+
Extrude {0, 0, UM11 - LI1} {
  Surface{1}; Surface{2}; Surface{3}; Surface{4}; Layers{6}; Recombine;
}



//+
Line(124) = {56, 13};
//+
Line(125) = {50, 16};
//+
Line(126) = {44, 15};

//+
Line(127) = {26, 14};
//+
Line(128) = {14, 15};
//+
Line(129) = {15, 16};
//+
Line(130) = {16, 13};
//+
Line(131) = {13, 14};
//+
Curve Loop(5) = {127, -131, -124, 115, -20};
//+
Plane Surface(134) = {5};
//+
Curve Loop(6) = {130, -124, -114, 77, 125};
//+
Plane Surface(135) = {6};
//+
Curve Loop(7) = {129, -125, 78, 43, 126};
//+
Plane Surface(136) = {7};
//+
Curve Loop(8) = {128, -126, 44, 19, 127};
//+
Plane Surface(137) = {8};
//+
Curve Loop(9) = {128, 129, 130, 131};
//+
Plane Surface(138) = {9};
//+
Surface Loop(1) = {138, 137, 136, 135, 134, 133, 37, 74, 111};
//+
Volume(5) = {1};
//+
Physical Volume(1) = {4, 1, 2, 3};
//+
Physical Volume(2) = {5};
//+
Physical Surface(3) = {4, 1, 2, 3};
//+
Physical Surface(4) = {138};
//+
Physical Surface(5) = {137, 69, 32};
//+
Physical Surface(6) = {136, 65, 94};
//+
Physical Surface(7) = {135, 90, 124};
//+
Physical Surface(8) = {134, 36, 128};
